#!/bin/sh

KVER=`uname -r`
INITD=`find /etc/ -type d -name "init.d"`

echo "--- Making sure the 'misc' module directory exists..."
test -d /lib/modules/$KVER/misc || mkdir /lib/modules/$KVER/misc
echo "--- Copying module to proper directory..."
cp *.o /lib/modules/$KVER/misc
echo "--- Copying the rocketport.conf file to /etc for ISA cards..."
test ! -f /etc/rpshsi.conf || mv /etc/rpshsi.conf /etc/nslink.conf
test -f /etc/nslink.conf || cp nslink.conf /etc
echo "--- Setting up the 'rocket' startup script..."
cp rc.nslink $INITD/nslink
find /etc/ -type d -name "rc2.d" -exec ln -sf $INITD/nslink {}/S83nslink \;
find /etc/ -type d -name "rc3.d" -exec ln -sf $INITD/nslink {}/S83nslink \;
find /etc/ -type d -name "rc4.d" -exec ln -sf $INITD/nslink {}/S83nslink \;
find /etc/ -type d -name "rc5.d" -exec ln -sf $INITD/nslink {}/S83nslink \;
find /etc/ -type d -name "rc0.d" -exec ln -sf $INITD/nslink {}/K20nslink \;
find /etc/ -type d -name "rc1.d" -exec ln -sf $INITD/nslink {}/K20nslink \;
find /etc/ -type d -name "rc6.d" -exec ln -sf $INITD/nslink {}/K20nslink \;
echo "--- Copying firmware to /etc..."
#cp rpshsi.bin   /etc/rpshsi.bin
#cp rpshsi2p.bin /etc/rpshsi2p.bin
cp devmast.bin  /etc/devmast.bin
echo "--- Installing nslinkd..."
cp nslinkd /sbin/nslinkd
#strip /sbin/nslinkd
chmod 755 /sbin/nslinkd
#echo "--- Installing nslink tools..."
#install --mode=700 nslinkadmin      /usr/sbin
#install --mode=700 nslinktool       /usr/sbin
#install --mode=700 nslinkrelease    /usr/sbin
#install --mode=700 nslinkrelease.py /usr/sbin
#echo "--- Installing man pages..."
#mkdir -p /usr/local/man/man8
#install --mode=644 *8 /usr/local/man/man8/
#mkdir -p /usr/local/man/man5
#install --mode=644 *5 /usr/local/man/man5/
echo "--- Issue '/etc/init.d/nslink start' to start the module without rebooting"
echo "--- nslink module installation complete"
