#!/bin/sh

KVER=`uname -r`
INITD=`find /etc/ -type d -name "init.d"`

echo "--- Deleting nslink module"
find /lib/modules/$KVER -name nslink.ko -exec rm {} \;
echo "--- Deleting nslink startup script"
find $INITD/ -name nslink -exec rm {} \;
echo "--- Deleting nslink runlevel symlinks"
find /etc/ -type l -name "*nslink" -exec rm {} \;
echo "--- Deleting nslinkd binaries"
find /sbin/ -name "nslink*" -exec rm {} \;
echo "--- Deleting nslink firmware"
find /etc/ -name devmast.bin -exec rm {} \;
echo "--- NS-Link uninstallation Complete"
